]> granicus.if.org Git - postgresql/commitdiff
Exit with non-zero error on thread test failures.
authorBruce Momjian <bruce@momjian.us>
Mon, 26 Apr 2004 00:44:39 +0000 (00:44 +0000)
committerBruce Momjian <bruce@momjian.us>
Mon, 26 Apr 2004 00:44:39 +0000 (00:44 +0000)
configure
configure.in

index 3a7c18313adc5aed8846a202563c7a28f658902b..2026f68104a9185293bb13012b8f6d060883997b 100755 (executable)
--- a/configure
+++ b/configure
@@ -19164,12 +19164,14 @@ $MAKE -C $srcdir/src/tools/thread clean >&5 ||
        ( rm -f src/Makefile.global
          { { echo "$as_me:$LINENO: error: Can not clean thread test directory." >&5
 echo "$as_me: error: Can not clean thread test directory." >&2;}
-   { (exit 1); exit 1; }; })
+   { (exit 1); exit 1; }; }) ||
+       exit $?
 $MAKE -C $srcdir/src/tools/thread >&5 ||
        ( rm -f src/Makefile.global
          { { echo "$as_me:$LINENO: error: Can not build thread test proram." >&5
 echo "$as_me: error: Can not build thread test proram." >&2;}
-   { (exit 1); exit 1; }; })
+   { (exit 1); exit 1; }; }) ||
+       exit $?
 $srcdir/src/tools/thread/thread_test >&5 ||
        ( rm -f src/Makefile.global
          echo "no"
@@ -19178,12 +19180,14 @@ $srcdir/src/tools/thread/thread_test >&5 ||
          echo
          { { echo "$as_me:$LINENO: error: Thread test program failed.  Your platform is not thread-safe." >&5
 echo "$as_me: error: Thread test program failed.  Your platform is not thread-safe." >&2;}
-   { (exit 1); exit 1; }; })
+   { (exit 1); exit 1; }; }) ||
+       exit $?
 $MAKE -C $srcdir/src/tools/thread clean >&5 ||
        ( rm -f src/Makefile.global
          { { echo "$as_me:$LINENO: error: Can not clean thread test directory." >&5
 echo "$as_me: error: Can not clean thread test directory." >&2;}
-   { (exit 1); exit 1; }; })
+   { (exit 1); exit 1; }; }) ||
+       exit $?
 echo "yes"
 else
 { echo "$as_me:$LINENO: WARNING:
index ff8d3ef9f2a356ddc8dea4cc30c1f15d8114a476..dd4e410662519930733383be0b0638aefd5d09f7 100644 (file)
@@ -1,5 +1,5 @@
 dnl Process this file with autoconf to produce a configure script.
-dnl $PostgreSQL: pgsql/configure.in,v 1.332 2004/04/26 00:34:12 momjian Exp $
+dnl $PostgreSQL: pgsql/configure.in,v 1.333 2004/04/26 00:44:39 momjian Exp $
 dnl
 dnl Developers, please strive to achieve this order:
 dnl
@@ -1225,20 +1225,24 @@ AC_MSG_CHECKING([thread safety of required library functions.])
 #
 $MAKE -C $srcdir/src/tools/thread clean >&5 ||
        ( rm -f src/Makefile.global
-         AC_MSG_ERROR([Can not clean thread test directory.]))
+         AC_MSG_ERROR([Can not clean thread test directory.])) ||
+       exit $?
 $MAKE -C $srcdir/src/tools/thread >&5 ||
        ( rm -f src/Makefile.global
-         AC_MSG_ERROR([Can not build thread test proram.]))
+         AC_MSG_ERROR([Can not build thread test proram.])) ||
+       exit $?
 $srcdir/src/tools/thread/thread_test >&5 ||
        ( rm -f src/Makefile.global
          echo "no"
          echo
          $srcdir/src/tools/thread/thread_test
          echo
-         AC_MSG_ERROR([Thread test program failed.  Your platform is not thread-safe.]))
+         AC_MSG_ERROR([Thread test program failed.  Your platform is not thread-safe.])) ||
+       exit $?
 $MAKE -C $srcdir/src/tools/thread clean >&5 ||
        ( rm -f src/Makefile.global
-         AC_MSG_ERROR([Can not clean thread test directory.]))
+         AC_MSG_ERROR([Can not clean thread test directory.])) ||
+       exit $?
 echo "yes"
 else
 AC_MSG_WARN([